# PCSetUp

Prepares for the use of a preconditioner.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCSetUp(PC pc)

Collective on PC

### Input Parameter

pc -the preconditioner context

### Keywords

PC, setup

### See Also

PCCreate(), PCApply(), PCDestroy()

Level:developer
Location: src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex21f.F.html
src/snes/examples/tutorials/ex33f.F.html